Bug 20692 - postfix "pipe" mailer broken due to use of "mail" user (uid 12)
postfix "pipe" mailer broken due to use of "mail" user (uid 12)
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: postfix (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-11 20:24 EST by heckmann
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 12:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description heckmann 2000-11-11 20:24:38 EST
it seems that the pipe mailer used with some transport mechanisms defined
in transport.cf doesn't like using group id "mail" (12), it fails with a
message along the lines of "fatal request to use group id 12 (mail)". pipe
is used for cyrus transport which I use a lot on many systems using Simon
J. Mudd's postfix rpm, his rpm creates a postfix user, this user usually
has a uid a little over 100, created via the -r switch to useradd. When I
modified the 7.0 powertools source rpm to use the a postfix user with uid
103, everything worked fine. I don't know if this is a bug present in
20000531 snapshot only or whether all versions of postfix has a check to
use uid's over 100 or so...
Comment 1 Bernhard Rosenkraenzer 2000-11-14 12:07:56 EST
This is fixed in 20001030-2.

Note You need to log in before you can comment on or make changes to this bug.